import pytest

from kvmm.models import vgg
from kvmm.tests.test_backbone_modeling import BackboneTest, ModelConfig


class TestVGG(BackboneTest):
    @pytest.fixture
    def model_config(self) -> ModelConfig:
        return ModelConfig(model_cls=vgg.VGG16, input_shape=(224, 224, 3))

    def get_default_kwargs(self) -> dict:
        return {
            "include_normalization": True,
            "normalization_mode": "imagenet",
            "classifier_activation": "softmax",
            "weights": None,
        }
